#!/bin/bash
# reply.sh

# REPLY est la variable par défaut d'une commande 'read'

echo
echo -n "Quel est votre légume favori? "
read

echo "Votre légume favori est $REPLY."
#  REPLY contient la valeur du dernier "read" si et seulement si aucune variable
#+ n'est spécifiée.

echo
echo -n "Quel est votre fruit favori? "
read fruit
echo "Votre fruit favori est $fruit."
echo "mais..."
echo "La valeur de \$REPLY est toujours $REPLY."
#  $REPLY est toujours initialisé à sa précédente valeur car la variable $fruit
#+ a absorbé la nouvelle valeur obtenue par "read".

echo

exit 0
